package cn.timer.api.dao.kqgl;

import java.util.List;

import cn.timer.api.bean.kqgl.AttendanceGroup;
import cn.timer.api.bean.kqgl.KqzAttendanceGroupSearch;
import cn.timer.api.bean.kqgl.TBlFkcmdTrans;
import cn.timer.api.bean.kqgl.TBlFkcmdTransCmdParam;
import cn.timer.api.bean.yggl.YgglMainEmp;

public interface AttendanceGroupMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(AttendanceGroup record);

    int insertSelective(AttendanceGroup record);

    AttendanceGroup selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AttendanceGroup record);

    int updateByPrimaryKey(AttendanceGroup record);
    
    //考勤机所在考勤组
    List<AttendanceGroup> selectByPrimaryAttOwn(int qyid,int id);
    //考勤地址所在考勤组
    List<AttendanceGroup> selectByPrimaryAttAddressOwn(int qyid,int id);
    //考勤WIFI所在考勤组
    List<AttendanceGroup> selectByPrimaryAttWIFIOwn(int qyid,int id);
    
    //获取考勤组信息
    List<AttendanceGroup> selectAttGroupListByQyid(int qyid);
    
    List<AttendanceGroup> selectKqglMainKqzByQuery(KqzAttendanceGroupSearch kqzattendancegroupsearch);
    
    List<AttendanceGroup> selectAttGroupMachineByQyid(int qyid);
    
    AttendanceGroup getAttendanceGroupInformationByUserid(int userid,int qyid);
    
    List<YgglMainEmp> selectAttendanceOfficer(String orgCode,String text);
    
    YgglMainEmp selectByPrimaryByempNum(Integer empNum);
    
    List<YgglMainEmp> EmployeeListByorgCode(String orgCode);
    
    
    /**
	 * 根据transId删除信息
	 * @param id
	 * @return
	 */
	int deleteTBlFkcmdTransCmdParamByTransId(String transId);
	/**
	 * 新增信息
	 * @param shift
	 * @return
	 */
	int insertTBlFkcmdTransCmdParam(TBlFkcmdTransCmdParam param);
	
	int deleteTBlFkcmdTransCmdResultByTransId(String transId);
	
	int insertTBlFkcmdTrans(TBlFkcmdTrans fkcmdTrans);
	
	String selectTBlFkcmdTransNum();
}