/**
 * @date 2020年4月27日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.qyzx;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2020年4月27日  
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FeebackDto implements Serializable{
	/**
	 * @date 2020年4月27日  
	 * @author 翁东州
	 * @方法中文名称:
	 */
	private static final long serialVersionUID = 4457381912053961473L;

	@ApiModelProperty(value = "填写内容", example = "13129310893")
	private String opinionText;

	@ApiModelProperty(value = "附件地址", example = "123456")
	private List<String> urlList;
}
