package cn.timer.api.bean.qyzx;

import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-11
*/

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder=true)
@Table(name="qyzx_feeback_accessory")
@ApiModel("反馈附件表")
public class QyzxFeebackAccessory extends Model<QyzxFeebackAccessory> {

	private static final long serialVersionUID = 3545665863196016627L;

    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号",example="1")
    private Integer id;
    
	@ApiModelProperty(value="意见id",example="1")
    private Integer feebackId;
	
	@ApiModelProperty(value = "附件url地址", example = "url")
	private String opinionUrl;
    
}