package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqglAssoLeaveRulesDto {

	@ApiModelProperty(value = "假期规则编号 假期规则编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "假期名称 ", example = "假期名称")
	private String name;

	@ApiModelProperty(value = "请假单位 ", example = "1：按天请假；2：按半天；3：按小时")
	private Integer company;

	@ApiModelProperty(value = "假期类型 ", example = "1：系统项；2：自定义项")
	private Integer leaveType;

	@ApiModelProperty(value = "适用范围 ", example = "0：全公司  -1：考勤组id")
	private Integer apply;

	@ApiModelProperty(value = "创建时间 创建时间", example = "101")
	private Long createTime;

	@ApiModelProperty(value = "创建人员id 创建人员id", example = "101")
	private Integer createUserid;

	@ApiModelProperty(value = "企业组织代码 企业组织代码", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "是否开启 0：否；1：是", example = "1")
	private Integer isOpen;

	@ApiModelProperty(value = "假期余额 0：关（该项余额为“不限余额”）；1：开（该项余额为“0”）", example = "101")
	private Integer leaveBalance;

	@ApiModelProperty(value = "适用范围集合", example = "101")
	private String[] range;
	
	@ApiModelProperty(value = "适用范围名称", example = "101")
	private String[] applyrange;

}