/**
 * @date 2019年11月14日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.qyzx;

import java.io.Serializable;

import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2019年11月14日  
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EntauthDto extends Page implements Serializable{

	private static final long serialVersionUID = 910573493694136770L;

	@ApiModelProperty(value="组织机构代码",example="117")
	private Integer orgCode;
	
	@ApiModelProperty(value="认证状态",example="2通过或3未通过")
	private Integer authType;
	
	
	
	
}
