package cn.timer.api.utils.router.enums;

public enum ApproveEnum {

	DEFAULT(0, "默认", 1), REGULARIZATION(1, "转正", 1), RESIGNATION(2, "离职", 1), TRANSFER_POSITION(3, "调岗", 1),
	RECRUIT(4, "招聘", 1), WORK_OVERTIME(5, "加班", 2), LEAVE(6, "请假", 2), EVECTION(7, "出差", 2), REISSUE_A_CARD(8, "补卡", 2),
	WAGE_ADJUSTMENT(9, "调薪", 3),;

	private Integer type;

	private String desc;

	private Integer businessType;

	ApproveEnum(Integer type, String desc, Integer businessType) {
		this.type = type;
		this.desc = desc;
		this.businessType = businessType;
	}

	public Integer getType() {
		return this.type;
	}

	public static ApproveEnum getEnums(Integer type) {

		for (ApproveEnum approveEnum : values()) {
			if (approveEnum.getType() == type) {
				return approveEnum;
			}
		}
		return null;
	}

	public String getDesc() {
		return this.desc;
	}

	public Integer getBusinessType() {
		return this.businessType;
	}

}
